Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class _ServantActivatorStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.PortableServer._ServantActivatorStub

All Implemented Interfaces:
  IDLEntity, Object, java.io.Serializable, ServantActivator, ServantActivatorOperations, ServantManager, ServantManagerOperations

public class _ServantActivatorStub
extends ObjectImpl
implements ServantActivator

Interface definition : ServantActivator

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Constructor Summary
`_ServantActivatorStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`void` | `etherealize(byte[] oid, POA adapter, Servant serv, boolean cleanup_in_progress, boolean remaining_activations)` Operation etherealize
`Servant` | `incarnate(byte[] oid, POA adapter)` Operation incarnate

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _ServantActivatorStub

    public _ServantActivatorStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### incarnate

    public Servant incarnate(byte[] oid,
                             POA adapter)
                      throws ForwardRequest

  Operation incarnate
  Specified by:
    `incarnate` in interface `ServantActivatorOperations`

### etherealize

    public void etherealize(byte[] oid,
                            POA adapter,
                            Servant serv,
                            boolean cleanup_in_progress,
                            boolean remaining_activations)

  Operation etherealize
  Specified by:
    `etherealize` in interface `ServantActivatorOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD